export type Rarity = "C" | "U" | "R" | "SR" | "UR" | "RR";

export type PowerRequirement = { [key: string]: number };

export interface SetFile {
  Name: string;
  Cards: Card[];
}

export interface Card {
  ID: string;
  Set: string;
  Name: string;
  Subname: string;
  Element: string[];
  Keywords: string[];
  Traits: string[];
  Requirement?: PowerRequirement;
  Cost?: number;
  Power?: number;
  Type: string;
  Text: string;
  Rarity: Rarity;
  ProblemBonus?: number;
  ProblemOpponentPower?: number;
  ProblemRequirement?: PowerRequirement;
  Boosted?: Card;
}
